Bug 1031191 - Review Request: openshift-origin-cartridge-mongodb - Embedded mongodb support for OpenShift
Review Request: openshift-origin-cartridge-mongodb - Embedded mongodb support...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 16:05 EST by Troy Dawson
Modified: 2013-12-03 05:31 EST (History)
3 users (show)

See Also:
Fixed In Version: openshift-origin-cartridge-mongodb-1.12.0.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-03 05:31:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2013-11-15 16:05:12 EST
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-cartridge-mongodb.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-cartridge-mongodb-1.12.0.1-1.fc20.src.rpm
Description: Provides mongodb cartridge support to OpenShift
Fedora Account System Username: tdawson
Comment 1 Troy Dawson 2013-11-15 16:08:40 EST
RPMLINT OUTPUT:
$ rpmlint openshift-origin-cartridge-mongodb.spec openshift-origin-cartridge-mongodb-1.12.0.1-1.fc20.src.rpm openshift-origin-cartridge-mongodb-1.12.0.1-1.fc20.noarch.rpm
openshift-origin-cartridge-mongodb.noarch: E: devel-dependency mongodb-devel
2 packages and 1 specfiles checked; 1 errors, 0 warnings.

mongodb-devel is required because of the nature of the openshift cartridge package.  A user expects that when they install this cartridge they will be able to build against the libraries in their app area.  So they need the devel package.
Comment 2 Marek Mahut 2013-11-19 09:15:36 EST
Scratch build evaluated http://koji.fedoraproject.org/koji/taskinfo?taskID=6198233
Comment 3 Marek Mahut 2013-11-19 10:01:23 EST
Same as in the mysql use-case, the usage of the devel requirement is sane in this case. The package looks fine and is approved.
Comment 4 Troy Dawson 2013-11-19 12:05:40 EST
New Package SCM Request
=======================
Package Name: openshift-origin-cartridge-mongodb
Short Description: Embedded mongodb support for OpenShift
Owners: tdawson
Branches: f19 f20
InitialCC:
Comment 5 Gwyn Ciesla 2013-11-19 13:14:53 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-11-19 14:54:01 EST
openshift-origin-cartridge-mongodb-1.12.0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openshift-origin-cartridge-mongodb-1.12.0.1-1.fc19
Comment 7 Fedora Update System 2013-11-20 23:37:23 EST
openshift-origin-cartridge-mongodb-1.12.0.1-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 8 Fedora Update System 2013-12-03 05:31:58 EST
openshift-origin-cartridge-mongodb-1.12.0.1-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.